Bug 56916 - Incorrect permissions after portupgrade to mail/vpopmail-5.3.2
Summary: Incorrect permissions after portupgrade to mail/vpopmail-5.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Peter Pentchev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-09-16 10:30 UTC by Guilherme Oliveira
Modified: 2003-09-30 09:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guilherme Oliveira 2003-09-16 10:30:18 UTC
	Yesterday I've upgraded to vpopmail-5.3.2 with portupgrade as always do and I've stoped from receiving new email.
	In logs:  delivery 36: deferral: /usr/local/vpopmail/bin/vdelivermail:_permission_denied/
	The update changedthe permissions of /usr/local/vpopmail from vpopmail.vchkpw to root.wheel.
	This was the problem because I've done chown -R vpopmail.vchkpw /usr/local/vpopmail and the mail server is working fine now.

Fix: 

chown -R vpopmail.vchkpw /usr/local/vpopmail
How-To-Repeat: 	portupgrade -Ruai
Comment 1 Ceri Davies freebsd_committer 2003-09-18 19:21:09 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs

Reassign misfiled PR.
Comment 2 Oliver Lehmann freebsd_committer 2003-09-28 18:34:56 UTC
State Changed
From-To: open->feedback

Please upgrade your ports to use vpopmail-5.3.27, and report if 
the problem still exists or not. 
Reassign to the maintainer 


Comment 3 Oliver Lehmann freebsd_committer 2003-09-28 18:34:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->roam

Please upgrade your ports to use vpopmail-5.3.27, and report if 
the problem still exists or not. 
Reassign to the maintainer
Comment 4 Peter Pentchev freebsd_committer 2003-09-30 09:49:56 UTC
State Changed
From-To: feedback->closed

Fixed in ports/mail/vpopmail/Makefile rev. 1.34. 
Thanks for reporting this!